select
  an.numero as numero,
  tp.descricao as tipo_parto,
  rep.data as data_parto,
  (select count(*) from reproducao re where re.cdanimal = an.cdanimal and re.cdtiporeproducao = 7) +
            coalesce(an.numpartoentrada, 0) as ordem_parto,
  (rep.data - cob.data) as dias_gestacao,
  (case when (rep.cdtipoparto = 1) then
  (case when (rep.cdreproducao in (select distinct cdreproducao from animal)) then
  (select first 1 re.numero from animal re where re.cdreproducao = rep.cdreproducao) else  
  null end) else null end) as cria,
  (case when (rep.cdtipoparto = 1) then
  (case when (rep.cdreproducao in (select distinct cdreproducao from animal)) then  
   (select first 1 re.sexo from animal re where re.cdreproducao = rep.cdreproducao) else
   null end) else rep.sexocria1 end) as sexo_cria, 
   se.nome as setor 
from
   reproducao rep
   join animal an on an.cdanimal = rep.cdanimal
   join tipoparto tp on rep.cdtipoparto = tp.cdtipoparto 
   left join reproducao cob on cob.cdreproducao =
   (select first 1 re.cdreproducao from reproducao re where re.cdtiporeproducao in (1,2,3) and
   re.cdanimal = rep.cdanimal and re.data<rep.data order by re.data desc)
   join sp_setoranimal(rep.cdanimal, rep.data) spse on 1 = 1
   left join setor se on se.cdsetor = spse.setor 
where
----INFORMAR AQUI O PERODO DO PARTO, CONFORME DESEJADO. MANTER O FORMATO DA DFATA 'AAAA-MM-DD'
   rep.data between '2000-01-01' and '2017-11-30'
   order by
rep.data